#ifndef GetParameterDisplayUnitAsString_H
#define GetParameterDisplayUnitAsString_H

#include <Command.h>
namespace ProtoGenWrapper
{
	class DParameter;
}

namespace ProtoGenWrapper
{
	class GetParameterDisplayUnitAsString:
		public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetParameterDisplayUnitAsString(const DParameter& parameter);
		GetParameterDisplayUnitAsString(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(DParameter& parameter) const;

		static int GetCommandType();
	};
}
#endif // GetParameterDisplayUnitAsString_H
